// File m_dlg.h
// (C) 1993, 1994 by Heiko Damerow MPG AG "Roentgenbeugung"
#ifndef __M_DLG_H
#define __M_DLG_H


class TMeasurementParam : public TModalDlg
{
 public:
       TMeasurementParam();
  BOOL CanClose( void );
  BOOL Dlg_OnInit( HWND, HWND, LPARAM );
  BOOL LeaveDialog( void ) 
      { return TRUE; };
};

class TExecuteCmd : public TModalDlg
{
 public:
       TExecuteCmd();
  BOOL Dlg_OnInit( HWND, HWND, LPARAM );
  void Dlg_OnCommand( HWND, int, HWND, UINT );
  BOOL LeaveDialog( void );
  int  ExecutionId;
  int  nMotor;
};

class TAngleControl : public TModalDlg
{
 public:             
           TAngleControl();
  int      GetBarEgde( int );
  int      GetBarPos( void );
  void     Dlg_OnHScrollBar( HWND, HWND, UINT, int );
  void     Dlg_OnTimer( HWND, UINT );
  void     Dlg_OnCommand( HWND, int, HWND, UINT );
  BOOL     Dlg_OnInit( HWND, HWND, LPARAM );
  void     Interrupt( void );
  BOOL     LeaveDialog( void );
 private:
  int      AskTime;
  BOOL     bStepMode;
  BOOL     bMoveActive;
  BOOL     bLongMove;
  BOOL     bMeasureHwb;
  HWND     BarHandle;
  HWND     hMotorList;
  int      BarFactor;
  int      nMotor;
  TDevice* Sensor;
  float*   MoveSpeed;
};

class TGetData : public TModalDlg
{
 public:
       TGetData( LPSTR, int* );
 private:
  BOOL Dlg_OnInit( HWND, HWND, LPARAM );
  BOOL CanClose( void );
  int* dataref;
  char datatext[40];
};
#endif
// __M_DLG_H
// __LastLine__
